package com.chinacreator.video.mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import com.chinacreator.video.bean.CpSpBean;
import com.chinacreator.video.bean.FtpOrderBean;

@Component
public interface TrafficOrderDao {
	
	/**
	 * 添加数据到表TD_CHANNEL_FTP_ORDER
	 * @param bean
	 * @return
	 */
	int addFtpOrder(FtpOrderBean bean);
	
	/**
	 * 添加数据到表TD_CHANNEL_FTP_DQ
	 * @param bean
	 * @return
	 */
	int addFtpDq(FtpOrderBean bean);
	
	/**
	 * 获取id
	 * @return
	 */
	String getID();
	
	@Cacheable(value = "allSjyytProductidConf",keyGenerator = "wiselyKeyGenerator")
	List<HashMap> getSjyytProductidConf();
}
